#version 440 core
layout (location = 0) in vec2 aPos;
layout (location = 1) in vec2 aTexCoords;

out vec2 TexCoords;

uniform mat4 u_modelViewProj;


void main()
{
    TexCoords = aTexCoords;    
    // Set output position
    gl_Position = u_modelViewProj * vec4(aPos, 0.5f, 1.0f);
}
